HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Authentication

Learn how to authenticate with the Arcadia API using HTTP Basic authentication with your appId and appKey credentials.

Authenticate Arcadia Signal API requests with HTTP Basic authentication using your appId and appKey.

Basic authentication

Signal API requests use HTTP Basic authentication.

Use your credentials as follows:

CredentialBasic Auth role
appIdUsername
appKeyPassword

Most HTTP clients can send Basic Auth credentials directly. If your client requires a header, construct an Authorization: Basic header from the Base64-encoded appId:appKey pair.

Validate credentials

Use the Echo Authenticate endpoint to validate that your appId and appKey are valid before calling more complex endpoints.

GET /rest/echo/authenticate

Related pages